<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 30000_Clone_Threads</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>30000_Clone_Threads<br/>
<small>
[<a class="el" href="group___g_p.html">GP</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____clone___threads.html#ga36fe427a91fd6d33f91db7aea1f0c299">TestCase_00100_TwoThreads_ShareMemory</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____clone___threads.html#gae34d28e7dff3c6211512862de37b3197">TestCase_00200_Properties_ThreeThreads_OneSession</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<dl class="user"><dt><b>Description:</b></dt><dd>: Tests GP Internal API Property functionality </dd></dl>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga36fe427a91fd6d33f91db7aea1f0c299"></a><!-- doxytag: member="30000_Clone_Threads.cpp::TestCase_00100_TwoThreads_ShareMemory" ref="ga36fe427a91fd6d33f91db7aea1f0c299" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00100_TwoThreads_ShareMemory </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>39427d4bfa73551684610ec777f9d50d </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>setup() initializes the context </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TA=TTA_MTCF </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Launch multiple share-memory commnds in parallel using clone() Ensure that each share command succeeds </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>All calls return TEEC_SUCCESS, values of the properties are correct </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>teardown() closes session and finalizes the context </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.30000_Clone_Threads.00100_TwoThreads_ShareMemory </dd></dl>

</div>
</div>
<a class="anchor" id="gae34d28e7dff3c6211512862de37b3197"></a><!-- doxytag: member="30000_Clone_Threads.cpp::TestCase_00200_Properties_ThreeThreads_OneSession" ref="gae34d28e7dff3c6211512862de37b3197" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_00200_Properties_ThreeThreads_OneSession </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>39427d4bfa73551684610ec777f9d50d </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>setup() initializes the context </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>TA=TTA_MTCF </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Launch multiple property reads in parallel using clone() Ensure that all read property request are successful and return the expected values </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>All calls return TEEC_SUCCESS, values of the properties are correct </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>teardown() closes session and finalizes the context </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd><a href="group___basic.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP.30000_Clone_Threads.00200_Properties_ThreeThreads_OneSession </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
